Subject: Re: Strange performance of Bash depending of current directory
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 07 Dec 2001 09:52:23 -0500

At 08:00 AM 12/4/2001, apiic wrote:

>Larry Hall (RFK Partners, Inc) wrote:
>>
>>At 05:56 AM 11/30/2001, apiic wrote:
>>>
>>>Hi,
>>>
>>>At first, thank you for CYGWIN environment which is so useful, specially for me to settle shells both on NT stations et UNIX stations. I ask about a strange problem about Bash performances
>>>of scripts depending of the type of NT local directory.
>>>
>>>I maintain a bash profile running on NT4 station with CYGWIN and on IRIX station. This profile is stored on UNIX (IRIX station with Samba) server.
>>>
>>>Some users complaint about low performances of this profile running on their NT4 station.
>>>I found that all users complaining got their home directory on UNIX station (net use with Samba).
>>>The others got their home directory on NT station.
>>>
>>>So I wrote a little script and tested it, first in local directory and second in Samba directory. Here is the result :
>>>
>>>1) Running script in local directory (c:/users/<username>)    2 seconds
>>>2) Running script in share directory (net use Samba)          4 seconds
>>>
>>>Script :
>>>#!/bin/bash
>>>
>>>for ligne in $(mount | grep system | tr -s [:space:] | sed 's/ /,/g' )
>>>do
>>>   path=$(echo $ligne | sed 's/,/ /g' | cut -f1 -d " ")
>>>   point=$(echo $ligne | sed 's/,/ /g' | cut -f3 -d " ")
>>>   echo $point monte sur $path
>>>done
>>>
>>>It appears that performances of scripts depend of the current directory in which they are run. I made several tests and it seems that variable HOME
>>>and variable PATH have no relation with this behaviour.
>>>
>>>I read FAQ and Mailing list archive without any answer about this problem
>>>Thank you for helping
>>
>>
>>
>>The overhead of network access is not insignificant with Cygwin.  Putting
>>network directories in the path can have a significant performance impact
>>too.
>Thank you for answering.
>Unfortunately, it does not help me. Is there any way to improve performances
>regarding current directory or the path with CYGWIN ?

Putting directories that you use frequently earlier in your path is 
sometimes a help for long paths.  If directories you use frequently are
network paths, this may not prove helpful though.

>By the way I made further tests and I found that NT network directories are faster than Samba network 
>directories. I use Samba 2.0.5. Is there any tuning to do with Samba to improve my CYGWIN environment
>performances.

Not that I know of off-hand.  You can check the email archives (or the 
source! ;-) ) for possible settings for the CYGWIN environment variable 
that might help here.  I seem to recall that there is one for SAMBA
specifically but I forget the issue it was targeting.  Just a guess
but I suspect your performance differences between your NT machines and
those accessed through SAMBA are based on network/hardware differences.
I could be wrong.  There are allot of potential differences here.  You
can check the SAMBA sites for SAMBA tuning information of course.

>Thank you again for helping
>>
>>
>>
>>Larry Hall                              <mailto:[email-masked]>[email-masked]
>>RFK Partners, Inc.                      <http://www.rfk.com>http://www.rfk.com
>>838 Washington Street                   (508) 893-9779 - RFK Office
>>Holliston, MA 01746                     (508) 893-9889 - FAX
>>
>
>
>-- 
>
>Arnaud GAND
>SETI Ingénérie Conseil - Le DORAT
>tel 05 55 60 65 59
>fax 05 55 60 67 02

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/